## Find My IP

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" height="75">](https://f-droid.org/repository/browse/?fdid=com.maksimowiczm.findmyip)

### 📌 What is Find My IP?

**Find My IP** is a simple and efficient Android app that fetches and optionally stores your current IP address. It helps you maintain a history of your IP addresses and can log IP changes automatically in the background—no need to open the app every time.

---

### 📷 Screenshots

<div align="center">
    <img src="./metadata/en-US/images/phoneScreenshots/100_home.png" width="22%" alt="Home Screen"/>
    <img src="./metadata/en-US/images/phoneScreenshots/200_history_disabled.png" width="22%" alt="History Disabled"/>
    <img src="./metadata/en-US/images/phoneScreenshots/300_history.png" width="22%" alt="History Enabled"/>
    <img src="./metadata/en-US/images/phoneScreenshots/400_settings.png" width="22%" alt="Settings"/>
        <img src="./metadata/en-US/images/phoneScreenshots/490_history_disabled_settings.png" width="22%" alt="History Disabled Settings"/>
    <img src="./metadata/en-US/images/phoneScreenshots/500_history_settings.png" width="22%" alt="History Settings"/>
    <img src="./metadata/en-US/images/phoneScreenshots/510_internet_protocol_settings.png" width="22%" alt="Internet Protocol Settings"/>
    <img src="./metadata/en-US/images/phoneScreenshots/600_language_settings.png" width="22%" alt="Language Settings"/>
</div>

---

### 🔍 How does it work?

The app retrieves your IP address using the [`api.ipify.org`](https://api.ipify.org) API.

---

### ❓ Why was it created?

I needed a straightforward way to track my IP address history on my phone, so I built this app.

---

### 🔄 Similar Apps

- [Public IP](https://github.com/guildem/publicip-android) - Does not support IP history storage.

---

### 🌍 Contribute to Translations

Help translate **Find My IP** on [Crowdin](https://crowdin.com/project/find-my-ip)!

If you'd like to be credited for your contributions, please add your name to the [Languages file](composeApp/src/commonMain/kotlin/com/maksimowiczm/findmyip/ui/res/Languages.kt) or let me know, and I'll add it for you.

---

### 📜 License

```
Copyright (C) 2024 Mateusz Maksimowicz

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <https://www.gnu.org/licenses/>.
```

---

### 🎨 Launcher Icon

Icon made by **Freepik** from [Flaticon](https://www.flaticon.com/).

